Support » Plugin: WordPress.com Editing Toolkit » Toolkit update breaking Gutenberg editor

  • Resolved launews

    (@launews)


    The editing toolkit updated to the latest version, now I can only use the Gutenberg editor if this plugin is deactivated, but this plugin is a key component of my home page.

    The classic editor still works and no other plugins appear to be giving me this error.

    The editor has encountered an unexpected error.
    
    Attempt Recovery
    Copy Post Text
    Copy Error
Viewing 5 replies - 1 through 5 (of 5 total)
  • modelscoordinationil

    (@modelscoordinationil)

    I also get the same error. After activating the Editing Toolkit create or edit a post returns these errors.

    Bellow is the error message the is shown after ‘Copy Error’.
    I had to deactivate the plugin. Can this be fixed?
    Thanks

    TypeError: Cannot read property 'setOpenState' of null
        at render (https://roundtbl.org/wp-content/plugins/full-site-editing/wpcom-block-editor-nux/dist/wpcom-block-editor-nux.js?ver=a31f2374725b217b853837e5e5b1763b:6:15560)
        at we (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:84:293)
        at zj (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:226:496)
        at Th (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:152:223)
        at tj (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:152:152)
        at Te (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:146:151)
        at https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:61:68
        at unstable_runWithPriority (https://roundtbl.org/wp-includes/js/dist/vendor/react.min.js?ver=16.13.1:25:260)
        at Da (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:60:280)
        at Pg (https://roundtbl.org/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.13.1:61:14)
    modelscoordinationil

    (@modelscoordinationil)

    Just wanted to add the the toolkit error happens also with the latest version number 3.7543

    same here, how to fix this issue, please?

    modelscoordinationil

    (@modelscoordinationil)

    Still happening after updating to version 3.7682 …

    modelscoordinationil

    (@modelscoordinationil)

    Hi
    Just installed version 3.7790.
    The problem with editing posts seems to have been fixed.

    Thanks!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Toolkit update breaking Gutenberg editor’ is closed to new replies.